{{ $featured_image := .Param "featured_image"}}
{{ $repos_url := printf "%s/%s" .Site.Params.gitlab .Site.Params.repos }}
{{ $file_url := printf "%s/%s" $repos_url .Site.Params.file_id }}
{{ $release_notes_url := printf "%s/%s" $repos_url .Site.Params.release_notes }}

{{/* Trimming the slash and adding absURL make sure the image works no matter where our site lives */}}
{{ $featured_image := (trim $featured_image "/") | absURL }}
<!--- VG: change header class to 'contain' --->
<header class="contain bg-top" style="background-image: url('{{ $featured_image }}');">
  <!--- VG: change h1 font weight to 'fw6' --->
  <div class="{{ .Site.Params.cover_dimming_class | default "bg-black-60" }}">
    {{ partial "site-navigation.html" .}}
    <div class="tc-l pv4 pv6-l ph3 ph4-ns">
      <!--- VG: change h1 font weight to 'fw6' --->
      <h1 class="f2 f-subheadline-l fw6 white-90 mb0 lh-title">
        {{ .Title | default .Site.Title }}
      </h1>
      {{ with .Params.description }}
        <!--- VG: change h2 font weight to 'fw3' --->
        <h2 class="fw3 f5 f3-l white-80 measure-wide-l center mt3">
          {{ . }}
        </h2>
      {{ end }}
    </div>
  </div>
</header>
